Bug 163046 - devel/bazaar is outdated, should be bazaar-ng as the default port install
devel/bazaar is outdated, should be bazaar-ng as the default port install
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Carlo Strub
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-04 00:00 UTC by gallego.alexx
Modified: 2012-06-17 21:49 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gallego.alexx 2011-12-04 00:00:21 UTC
1. pkg_add -r bazaar installs baz - which is the old version of bazaar. 

This should be changed to install bazaar-ng which installs bzr which is correct.

Fix: 

1.pkg_delete -r bazaar
2.pkg_add -r bazaar-ng
How-To-Repeat: 1.pkg_add -r bazaar
2.baz https://launchpad.net/mgo mgo

this gives a segmentation fault 11
Comment 1 Carlo Strub freebsd_committer 2011-12-04 00:35:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll get it.
Comment 2 Carlo Strub freebsd_committer 2011-12-04 00:46:11 UTC
Thanks a lot for this PR. It has been on my mind for some time. What I sugg=
est is moving devel/bazaar --> devel/bazaar1 and devel/bazaar-ng devel/baza=
ar. What do you think?

Notice however, that such a move would make it necessary to update a whole =
bunch of bazaar-ng plugins, e.g. devel/bzr-svn, devel/qbzr, devel/bzr-explo=
rer, etc. Hence, as we are in "Feature freeze", we have to wait until FreeB=
SD 9.0 is finally released.

Cheers,
Carlo

--
Carlo Strub
Ports committer
--=
Comment 3 Carlo Strub freebsd_committer 2011-12-04 00:47:42 UTC
State Changed
From-To: open->feedback

Wait for more feedback on my proposal.
Comment 4 gallego.alexx 2011-12-04 01:54:31 UTC
Hi Carlo,

That's great, I'm glad I'm able to help a tiny bit.

I am not familiar with the regular nomenclature used when moving ports
around, but it seems to me that bazaar --> /devel/bazaar-old and then
move devel/bazaar-ng as devel/bazaar as you proposed. It is no problem
for me to wait until freebsd 9.0 RELEASE.

Thanks for confirming this.


Sincerely,
Alexander Gallego

---*---
------*
*=A0 *=A0 *





On Sat, Dec 3, 2011 at 7:46 PM, Carlo Strub <cs@freebsd.org> wrote:
> Thanks a lot for this PR. It has been on my mind for some time. What I su=
ggest is moving devel/bazaar --> devel/bazaar1 and devel/bazaar-ng devel/ba=
zaar. What do you think?
>
> Notice however, that such a move would make it necessary to update a whol=
e bunch of bazaar-ng plugins, e.g. devel/bzr-svn, devel/qbzr, devel/bzr-exp=
lorer, etc. Hence, as we are in "Feature freeze", we have to wait until Fre=
eBSD 9.0 is finally released.
>
> Cheers,
> Carlo
>
> --
> Carlo Strub
> Ports committer
> --
Comment 5 fullermd 2011-12-04 02:20:03 UTC
[with-hat: devel/bazaar-ng maintainer]

> Thanks a lot for this PR. It has been on my mind for some time. What
> I suggest is moving devel/bazaar --> devel/bazaar1 and
> devel/bazaar-ng devel/bazaar. What do you think?

I've thought about this sort of thing a time or two.  With that given
procedure, I see 2 issues (or two facets of one issue, at least)

1) Conceptually, bzr isn't really a "later version" of baz, it's a
   completely different program and project.  But by the nature of
   being in CVS, there's no [non-insane breakage-making] way of moving
   the old aside and the new in; the new ends up being a new revision
   of the old.  So obviously this will have to wait until we've
   switched to using bzr for ports r8-}

2) The ports infrastructure doesn't provide a way to move one port
   away, and move another into its place (i.e., MOVED).  Either
   devel/bazaar is moved TO somewhere, or something is moved TO
   devel/bazaar; can't do both.  And even if it did, such an operation
   is still highly user-confusing.


If I had my druthers and a clean slate, I'd move then to 'baz' and
'bzr'; matching the command name is at least as intuitive to find, and
thoroughly disambiguates them.  That's still a non-impossibility,
since that doesn't overlap with the current names and so avoids
problems related to that.  Still, in a cosmic sense, I'd be happier to
be shut of CVS and into a decent VCS (or even a slightly less deranged
one, like svn) before moving stuff around more than necessary, just to
not further balloon the debt.


-- 
Matthew Fuller     (MF4839)   |  fullermd@over-yonder.net
Systems/Network Administrator |  http://www.over-yonder.net/~fullermd/
           On the Internet, nobody can hear you scream.
Comment 6 Carlo Strub freebsd_committer 2011-12-04 11:08:05 UTC
Thank you Matthew for your comment. I actually like your suggestion even be=
tter: bazaar-ng --> bzr and bazaar --> baz. Both names are unused yet in th=
e devel section. Btw. you are right Matthew that a move from devel/bazaar-n=
g to devel/bazaar would be a bit nasty. I am not worried about CVS, because=
 we will be moving to SVN soon. Its more the Moved file which will probably=
 be confused including our users.

If you all agree, including the maintainer of devel/bazaar, I'll do the swi=
tch for both ports after we are released from the feature freeze. Hence, I =
need an ok from Matthew and Ulf as you are the maintainers of these two por=
ts.=
Comment 7 lulf freebsd_committer 2011-12-04 21:17:40 UTC
Sounds like a good suggestion to me.
 
-- 
Ulf Lilleengen


>________________________________
> From: Carlo Strub <cs@FreeBSD.org>
>To: bug-followup@FreeBSD.org 
>Cc: Matthew D. Fuller  <fullermd@over-yonder.net>; gallego.alexx@gmail.com; ulf.lilleengen@gmail.com 
>Sent: Sunday, December 4, 2011 12:08 PM
>Subject: Re: ports/163046: devel/bazaar is outdated, should be bazaar-ng as the default port install   [ID#2011120409000095]
> 
>Thank you Matthew for your comment. I actually like your suggestion even better: bazaar-ng --> bzr and bazaar --> baz. Both names are unused yet in the devel section. Btw. you are right Matthew that a move from devel/bazaar-ng to devel/bazaar would be a bit nasty. I am not worried about CVS, because we will be moving to SVN soon. Its more the Moved file which will probably be confused including our users.
>
>If you all agree, including the maintainer of devel/bazaar, I'll do the switch for both ports after we are released from the feature freeze. Hence, I need an ok from Matthew and Ulf as you are the maintainers of these two ports.
>
>

>
Comment 8 dfilter freebsd_committer 2012-06-17 14:12:13 UTC
cs          2012-06-17 13:11:58 UTC

  FreeBSD ports repository

  Modified files:
    devel/baz            Makefile distinfo pkg-descr pkg-plist 
  Log:
  Repository copy performed from devel/bazaar --> devel/baz
  
  PR:             ports/168931, ports/163046
  Submitted by:   cs@, alex <gallego.alexx@gmail.com>
  Reviewed by:    glarkin@
  Approved by:    lulf@ (maintainer)
  
  Revision  Changes    Path
  1.23      +0 -0      ports/devel/baz/Makefile
  1.3       +0 -0      ports/devel/baz/distinfo
  1.3       +0 -0      ports/devel/baz/pkg-descr
  1.5       +0 -0      ports/devel/baz/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2012-06-17 21:21:53 UTC
cs          2012-06-17 20:21:37 UTC

  FreeBSD ports repository

  Modified files:
    devel/bzr            Makefile distinfo pkg-descr pkg-plist 
  Log:
  Repository copy performed from devel/bazaar-ng --> devel/bzr
  
  PR:             ports/168931, ports/163046
  Submitted by:   alex <gallego.alexx@gmail.com>
  Reviewed by:    glarkin@
  Approved by:    Matthew D. Fuller <fullermd@over-yonder.net> (maintainer)
  
  Revision  Changes    Path
  1.75      +0 -0      ports/devel/bzr/Makefile
  1.65      +0 -0      ports/devel/bzr/distinfo
  1.4       +0 -0      ports/devel/bzr/pkg-descr
  1.52      +0 -0      ports/devel/bzr/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Carlo Strub freebsd_committer 2012-06-17 21:49:12 UTC
State Changed
From-To: feedback->closed

Committed. Thank you very much.